org.apache.hadoop.security.alias

## Class CredentialProviderFactory

- java.lang.Object
- - org.apache.hadoop.security.alias.CredentialProviderFactory

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public abstract class CredentialProviderFactory
      extends Object

  A factory to create a list of CredentialProvider based on the path given in a Configuration. It uses a service loader interface to find the available CredentialProviders and create them based on the list of URIs.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CREDENTIAL_PROVIDER_PATH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CredentialProviderFactory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract CredentialProvider` | `createProvider(URI providerName, Configuration conf)`
    `static List<CredentialProvider>` | `getProviders(Configuration conf)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CREDENTIAL_PROVIDER_PATH

          public static final String CREDENTIAL_PROVIDER_PATH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CredentialProviderFactory

          public CredentialProviderFactory()

  - ### Method Detail

    - #### createProvider

          public abstract CredentialProvider createProvider(URI providerName,
                                                            Configuration conf)
                                                     throws IOException

      Throws:
        `IOException`

    - #### getProviders

          public static List<CredentialProvider> getProviders(Configuration conf)
                                                       throws IOException

      Throws:
        `IOException`

Copyright © 2022 Apache Software Foundation. All rights reserved.